ServerEvents.recipes(e=> {
    //接线器
    e.remove({ output: 'create_new_age:electrical_connector' })
    e.shapeless('create_new_age:electrical_connector', 
    [ 
    'immersiveengineering:connector_lv',
    ])
    e.shaped('2x create_new_age:electrical_connector',[
     'UCU', 
     'ECE', 
     ' E '
    ], {
      U: '#forge:ingots/copper',
      E: 'create:andesite_alloy',
      C: 'immersiveengineering:wire_copper'
    })
    //铜线
    e.shapeless('create_new_age:copper_wire', 
    [ 
        'immersiveengineering:wirecoil_copper',
    ])
    e.shapeless('immersiveengineering:wirecoil_copper', 
    [ 
        'create_new_age:copper_wire',
    ])
    //基础能量注入器
    e.remove({ output: 'create_new_age:energiser_t1' })
    e.shaped('2x create_new_age:energiser_t1',[
        'UCU', 
        'UEU', 
        ' E '
       ], {
         U: 'create:andesite_casing',
         E: 'create:electron_tube',
         C: 'create_new_age:electrical_connector'
       })
    //通量磁铁
    e.remove({ output: 'create_new_age:fluxuated_magnetite'})
    e.shaped('2x create_new_age:fluxuated_magnetite',[
        'UCU', 
        'UEU', 
        'UCU'
       ], {
         U: 'create_new_age:overcharged_diamond',
         E: 'solarcraft:energy_core',
         C: 'create_new_age:layered_magnet'
       })
    //下界磁铁
    e.remove({ output: 'create_new_age:netherite_magnet'})
    e.shaped('2x create_new_age:netherite_magnet',[
        'UCU', 
        'UEU', 
        'UCU'
       ], {
         U: 'minecraft:netherite_scrap',
         E: 'solarcraft:energy_core',
         C: 'create_new_age:fluxuated_magnetite'
       })


    //反应堆外壳
    e.remove({ output: 'create_new_age:reactor_casing' })
    e.shapeless('create_new_age:reactor_casing', 
    [ 
        'mekanismgenerators:fission_reactor_casing',
    ])


   


  
   
  
  
      
      
  
  
  
  
  })
  